<form [formGroup]="loginForm" (ngSubmit)="onSubmit()" class="h-100">
    <div class="d-flex justify-content-center align-items-center loginform ">
      <div class="col-md-4 card">
          <h4>Login</h4>
        <div class="form-group">
          <label>Login</label>
          
          <input type="text" class="form-control"  formControlName="email">

            <small class="form-text text-danger text-muted" 
                *ngIf="loginForm.controls.email.touched && loginForm.controls.email.errors?.required">
                Please enter email address.!
            </small>
  
            <small class="form-text text-muted text-danger"
                *ngIf="loginForm.controls.email.touched && loginForm.controls.email.errors?.email">
                Email address not well formed.!
            </small>

        </div>
        <div class="form-group">
            <label>Password</label>
            <input type="text" class="form-control"  formControlName="password">

            <small class="form-text text-danger text-muted" 
                *ngIf="loginForm.controls.password.touched && loginForm.controls.password.errors?.required">
                Please enter password
            </small>
        </div>


        
        <div *ngIf="error" class="text-danger">{{error}}</div>

        <!-- <small class="text-danger">{{message}}</small> -->

        <div>
            <button class="btn btn-primary" [disabled]="!loginForm.valid"  (click)='authService.login()'>
                Login
            </button>
        </div>
        <small class="text-center">user id: admin@admin / password : 1234</small>

       
      </div>
    </div>
  </form>